# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Push to Wallet payment In this tutorial, you learn how to get the status of a Push to Wallet payment. > The Global Payments API supports [callbacks](/docs/treasury/global-payments/capabilities/global-payments-2/callbacks) for automatic status updates. > ## Before you begin To get the status of a Push to Wallet payment, you need the following: - A [registered and fully onboarded Developer Account](/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials to make a request. - A paymentId provided in a [successful response](/docs/treasury/global-payments/capabilities/global-payments-2/push-to-wallet/how-to/initiate-p2w-request#confirm-the-response). ## Send a request Request payloads for the Global Payments API have optional and required fields. Use the `paymentId` to retrieve Push to Wallet payment information. The following example shows how to send a `GET` request to retrieve the information for a Push to Wallet payment that uses a PayPal email address. ### Retrieve Push to Wallet payment status (SUMMARY view) To get the status of a payment, send a `GET` request to the `/payments` endpoint with your `paymentId`. The response will be in `SUMMARY` view by default, though you may specify `view=SUMMARY` if preferred. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{ b887bcaf-16b2-4e90-ace1-e54386cf4bd3 } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include the current status of your Push to Wallet payment. ```json { "paymentId": " b887bcaf-16b2-4e90-ace1-e54386cf4bd3", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-01T14:15:22Z", "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": " PY202109022311354152" }, "transferType": "CREDIT", "paymentType": "PAYPAL" } ``` ### Retrieve Push to Wallet payment details (FULL view) To get the full details of a Push to Wallet payment, send a `GET` request to the same endpoint and specify `view=FULL`. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{ b887bcaf-16b2-4e90-ace1-e54386cf4bd3?view=FULL } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The response will include all available details for your Push to Wallet payment. ```json { "paymentId": "b887bcaf-16b2-4e90-ace1-e54386cf4bd3", "paymentStatus": "PROCESSING", "statusUpdatedAt": "2024-10-01T14:15:22Z", "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": "PY202109022311354152" }, "transferType": "CREDIT", "value": { "currency": "USD", "amount": "10" }, "paymentType": "PAYPAL", "debtor": { "name": "John Doe", "account": { "accountNumber": "123456789", "accountType": "DDA" } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "CHASUS33", "idType": "BIC" } ] }, "creditor": { "name": "Jane Doe", "account": { "alternateAccountIdentifiers": [ { "identifier": "jane.doe@example.com", "idType": "PROPRIETARY", "proprietarySchemeName": "EMAIL" } ] }, "postalAddress": { "postalCode": "67890", "country": "US" } }, "paymentPurpose": { "purpose": { "proprietary": "GOODS" } }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Payment - INVC009100" } ] } } ``` ## Related - For more information about Push to Wallet payment parameters, see [Payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/push-to-wallet/payment-parameters). - For more information about the status responses and error codes supported by the Global Payments API, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes).